Bug 56447 - up2date cannot get source with binary packages in 7.2
Summary: up2date cannot get source with binary packages in 7.2
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date   
(Show other bugs)
Version: 4.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-18 19:11 UTC by Martin Flack
Modified: 2015-01-07 23:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-30 19:38:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Martin Flack 2001-11-18 19:11:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011014

Description of problem:
up2date spits out an error instead of downloading source packages for 7.2.
Seems to happen no matter what the package. Happens in both CLI and GUI
interfaces.

Version-Release number of selected component (if applicable):
[root@solvent root]# rpm -qi up2date
Name        : up2date                      Relocations: (not relocateable)
Version     : 2.7.2                             Vendor: Red Hat, Inc.
Release     : 7.x.6                         Build Date: Fri 07 Sep 2001
04:40:13 PM EDT
Install date: Sun 28 Oct 2001 12:48:24 PM EST      Build Host:
stripples.devel.redhat.com
Group       : System Environment/Base       Source RPM:
up2date-2.7.2-7.x.6.src.rpm
Size        : 715528                           License: GPL
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary     : Determines which system packages need to be updated via RHN.
Description :
The Red Hat Update Agent that automatically queries the Red Hat
Network servers and determines which packages need to be updated on
your machine.


How reproducible:
Always

Steps to Reproduce:
1. configure up2date to get .src.rpm's with binaries
2. run up2date
3. Select some packages and proceed



Actual Results:  Dialogue appears with this info:
Error while retrieving package ORBit-0.5.8-4.
The message was:
404: "Not Found" while attempting to get
$RHN/redhat-linux-i386-7.2/getPackageSource/ORBit-0.5.8-4.src.rpm

Expected Results:  Should instead be downloading binaries and source.
Worked in 7.1, not after upgrading to 7.2.

Additional info:
[root@solvent root]# cat /etc/redhat-release 
Red Hat Linux release 7.2 (Enigma)
[root@solvent root]# uname -a
Linux solvent 2.4.9-7 #1 Thu Oct 18 13:47:25 EDT 2001 i686 unknown

Comment 1 Greg DeKoenigsberg 2002-04-29 23:02:35 UTC
Looks like a few bugs relating to source RPMs and up2date.  Does this deserve a
single bug for tracking all of these issues?

Comment 2 Adrian Likins 2002-04-30 19:38:26 UTC
should all be fixed now, I belive this particular case was
a temporary server problem anyway

Comment 3 Jay Turner 2002-05-15 12:46:58 UTC
Fix confirmed.


Note You need to log in before you can comment on or make changes to this bug.